## org.gnu.atk
Class Role

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.atk.Role

public class Role
extends Enum

Describes the role of an object.

Field Summary
`static Role` `ACCEL_LABEL`
`static Role` `ALERT`
`static Role` `ANIMATION`
`static Role` `APPLICATION`
`static Role` `ARROW`
`static Role` `AUTOCOMPLETE`
`static Role` `CALENDAR`
`static Role` `CANVAS`
`static Role` `CHECK_BOX`
`static Role` `CHECK_MENU_ITEM`
`static Role` `COLOR_CHOOSER`
`static Role` `COLUMN_HEADER`
`static Role` `COMBO_BOX`
`static Role` `DATE_EDITOR`
`static Role` `DESKTOP_FRAME`
`static Role` `DESKTOP_ICON`
`static Role` `DIAL`
`static Role` `DIALOG`
`static Role` `DIRECOTRY_PANE`
`static Role` `DRAWING_AREA`
`static Role` `EDITBAR`
`static Role` `EMBEDDED`
`static Role` `FILE_CHOOSER`
`static Role` `FILLER`
`static Role` `FONT_CHOOSER`
`static Role` `FOOTER`
`static Role` `FRAME`
`static Role` `GLASS_PANE`
`static Role` `HEADER`
`static Role` `HTML_CONTAINER`
`static Role` `ICON`
`static Role` `IMAGE`
`static Role` `INTERNAL_FRAME`
`static Role` `INVALID`
`static Role` `LABEL`
`static Role` `LAST_DEFINED`
`static Role` `LAYERED_PANE`
`static Role` `LIST`
`static Role` `LIST_ITEM`
`static Role` `MENU`
`static Role` `MENU_BAR`
`static Role` `MENU_ITEM`
`static Role` `OPTION_PANE`
`static Role` `PAGE_TAB`
`static Role` `PAGE_TAB_LIST`
`static Role` `PANEL`
`static Role` `PARAGRAPH`
`static Role` `PASSWORD_TEXT`
`static Role` `POPUP_MENU`
`static Role` `PROGRESS_BAR`
`static Role` `PUSH_BUTTON`
`static Role` `RADIO_BUTTON`
`static Role` `RADIO_MENU_ITEM`
`static Role` `ROOT_PANE`
`static Role` `ROW_HEADER`
`static Role` `RULER`
`static Role` `SCROLL_BAR`
`static Role` `SCROLL_PANE`
`static Role` `SEPARATOR`
`static Role` `SLIDER`
`static Role` `SPIN_BUTTON`
`static Role` `SPLIT_PANE`
`static Role` `STATUSBAR`
`static Role` `TABLE`
`static Role` `TABLE_CELL`
`static Role` `TABLE_COLUMN_HEADER`
`static Role` `TABLE_ROW_HEADER`
`static Role` `TEAR_OFF_MENU_ITEM`
`static Role` `TERMINAL`
`static Role` `TEXT`
`static Role` `TOGGLE_BUTTON`
`static Role` `TOOL_BAR`
`static Role` `TOOL_TIP`
`static Role` `TREE`
`static Role` `TREE_TABLE`
`static Role` `UNKNOWN`
`static Role` `VIEWPORT`
`static Role` `WINDOW`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`Role` `and(Role other)`
`static Role` `intern(int value)`
`Role` `or(Role other)`
`boolean` `test(Role other)`
`Role` `xor(Role other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID

    public static final Role INVALID

### ACCEL_LABEL

    public static final Role ACCEL_LABEL

### ALERT

    public static final Role ALERT

### ANIMATION

    public static final Role ANIMATION

### ARROW

    public static final Role ARROW

### CALENDAR

    public static final Role CALENDAR

### CANVAS

    public static final Role CANVAS

### CHECK_BOX

    public static final Role CHECK_BOX

### CHECK_MENU_ITEM

    public static final Role CHECK_MENU_ITEM

### COLOR_CHOOSER

    public static final Role COLOR_CHOOSER

### COLUMN_HEADER

    public static final Role COLUMN_HEADER

### COMBO_BOX

    public static final Role COMBO_BOX

### DATE_EDITOR

    public static final Role DATE_EDITOR

### DESKTOP_ICON

    public static final Role DESKTOP_ICON

### DESKTOP_FRAME

    public static final Role DESKTOP_FRAME

### DIAL

    public static final Role DIAL

### DIALOG

    public static final Role DIALOG

### DIRECOTRY_PANE

    public static final Role DIRECOTRY_PANE

### DRAWING_AREA

    public static final Role DRAWING_AREA

### FILE_CHOOSER

    public static final Role FILE_CHOOSER

### FILLER

    public static final Role FILLER

### FONT_CHOOSER

    public static final Role FONT_CHOOSER

### FRAME

    public static final Role FRAME

### GLASS_PANE

    public static final Role GLASS_PANE

### HTML_CONTAINER

    public static final Role HTML_CONTAINER

### ICON

    public static final Role ICON

### IMAGE

    public static final Role IMAGE

### INTERNAL_FRAME

    public static final Role INTERNAL_FRAME

### LABEL

    public static final Role LABEL

### LAYERED_PANE

    public static final Role LAYERED_PANE

### LIST

    public static final Role LIST

### LIST_ITEM

    public static final Role LIST_ITEM

### MENU

    public static final Role MENU

### MENU_BAR

    public static final Role MENU_BAR

### MENU_ITEM

    public static final Role MENU_ITEM

### OPTION_PANE

    public static final Role OPTION_PANE

### PAGE_TAB

    public static final Role PAGE_TAB

### PAGE_TAB_LIST

    public static final Role PAGE_TAB_LIST

### PANEL

    public static final Role PANEL

### PASSWORD_TEXT

    public static final Role PASSWORD_TEXT

### POPUP_MENU

    public static final Role POPUP_MENU

### PROGRESS_BAR

    public static final Role PROGRESS_BAR

### PUSH_BUTTON

    public static final Role PUSH_BUTTON

### RADIO_BUTTON

    public static final Role RADIO_BUTTON

### RADIO_MENU_ITEM

    public static final Role RADIO_MENU_ITEM

### ROOT_PANE

    public static final Role ROOT_PANE

### ROW_HEADER

    public static final Role ROW_HEADER

### SCROLL_BAR

    public static final Role SCROLL_BAR

### SCROLL_PANE

    public static final Role SCROLL_PANE

### SEPARATOR

    public static final Role SEPARATOR

### SLIDER

    public static final Role SLIDER

### SPLIT_PANE

    public static final Role SPLIT_PANE

### SPIN_BUTTON

    public static final Role SPIN_BUTTON

### STATUSBAR

    public static final Role STATUSBAR

### TABLE

    public static final Role TABLE

### TABLE_CELL

    public static final Role TABLE_CELL

### TABLE_COLUMN_HEADER

    public static final Role TABLE_COLUMN_HEADER

### TABLE_ROW_HEADER

    public static final Role TABLE_ROW_HEADER

### TEAR_OFF_MENU_ITEM

    public static final Role TEAR_OFF_MENU_ITEM

### TERMINAL

    public static final Role TERMINAL

### TEXT

    public static final Role TEXT

### TOGGLE_BUTTON

    public static final Role TOGGLE_BUTTON

### TOOL_BAR

    public static final Role TOOL_BAR

### TOOL_TIP

    public static final Role TOOL_TIP

### TREE

    public static final Role TREE

### TREE_TABLE

    public static final Role TREE_TABLE

### UNKNOWN

    public static final Role UNKNOWN

### VIEWPORT

    public static final Role VIEWPORT

### WINDOW

    public static final Role WINDOW

### HEADER

    public static final Role HEADER

### FOOTER

    public static final Role FOOTER

### PARAGRAPH

    public static final Role PARAGRAPH

### RULER

    public static final Role RULER

### APPLICATION

    public static final Role APPLICATION

### AUTOCOMPLETE

    public static final Role AUTOCOMPLETE

### EDITBAR

    public static final Role EDITBAR

### EMBEDDED

    public static final Role EMBEDDED

### LAST_DEFINED

    public static final Role LAST_DEFINED

Method Detail

### intern

    public static Role intern(int value)

### or

    public Role or(Role other)

### and

    public Role and(Role other)

### xor

    public Role xor(Role other)

### test

    public boolean test(Role other)